000034871 - RSA Identity Governance and Lifecycle Q4 2016 Appliance Updater reports a failure installing Oracle patch 24315824

Document created by RSA Customer Support Employee on Mar 1, 2017Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000034871
Applies ToRSA Product Set: Identity Governance and Lifecycle
RSA Product/Service Type: Appliance Updater
RSA Version/Condition: 7.0.0, 7.0.1
IssueWhen applying the RSA Identity Governance and Lifecycle Q4 2016 Appliance Updater, it reports the following failure installing Oracle patch 24315824 in /var/log/rsaimg_updater.log:
Adding patches to installation queue and performing prereq checks...
Installation queue:
  Nothing to roll back
  The following patches will be applied:
    24315824 (Database PSU 12.1.0.2.161018, Oracle JavaVM Component (OCT2016))
    24006101 (Database Patch Set Update : 12.1.0.2.161018 (24006101))
Error: prereq checks failed!
  patch 24315824: The database must be in upgrade mode
Prereq check failed, exiting without installing any patches.
Please refer to MOS Note 1609718.1 and/or the invocation log
/u01/app/oracle/cfgtoollogs/sqlpatch/sqlpatch_27821_2017_01_17_11_45_49/sqlpatch_invocation.log
for information on how to resolve the above errors.
CauseThis error may occur in certain instances depending on what order the previous patches have been applied. 
ResolutionThe Oracle patch 24315824 is applied correctly after the next restart of the ACM instance which occurs automatically during the patch process.   The error may be ignored.

This issue is resolved in the Q1 2017 Appliance Updater.

Attachments

    Outcomes